Python package for installation of shallow_water on sandbox
=============
This is the distribution for running tidal model on [de africa sandbox](https://sandbox.digitalearth.africa/) or [dea sandbox](https://app.sandbox.dea.ga.gov.au) 

Purpose
----------
The project provides a simple python wrapper to the [OTPS tidal model](http://volkov.oce.orst.edu/tides/otps.html).


Refer to the the [test cases](https://github.com/GeoscienceAustralia/shallow_water/blob/master/src/python/otps/test/test_predict_tide.py) to see how to use the python module.

Ancillary data
----------
The Ancillary data files are  downloaded from (ftp://ftp.oce.orst.edu/dist/tides/Global/tpxo9.tar.gz).

In there is the bathy (grid) elevations (hf) and velocity (uv) components of the model, as well as the Model file used as input to the software.  For more information consult the file [README](https://github.com/GeoscienceAustralia/shallow_water/blob/master/python_pack/otps/bin/README)

Build Python package
----------
`python3 setup.py sdist bdist_wheel`. The package ready for distribution will be in the folder `dist`. The `.wheel` and `.tar.gz` files should be uploaded to somewhere public, e.g, `s3 bucket`.

Installation
---------
`pip3 install --extra-index-url="https://packages.dea.gadevs.ga" otps`,
then run the post configuration command
`config_otps`.

Note that it will require `su` privilege to run `config_otps`.

Check if the installation is completed correctly by
`which predict_tide`, which should return the path `/usr/local/bin`

Test code
---------

Refer to the file [Export tide hight](https://github.com/GeoscienceAustralia/dea-notebooks/blob/robbibt/Waterline_extraction/ExportTideHeights.ipynb)

