import wget
import tarfile
from shutil import copyfile
import os
from os import path
TARGET_FOLDER = '/var/share/TPX08_atlas_compact/'
FILE_URL = 'https://datacube-core-deployment.s3-ap-southeast-2.amazonaws.com/otps/tpxo8_atlas_compact_v1.tar.Z'
BIN_FOLDER = '/usr/local/bin/'

def download_data_files():
    if os.geteuid() != 0:
        raise Exception("Install should be as a prvilleged user")
    os.makedirs(TARGET_FOLDER, exist_ok=True)
    wget.download(FILE_URL, TARGET_FOLDER)
    with tarfile.open(TARGET_FOLDER+'tpxo8_atlas_compact_v1.tar.Z') as tar:
        tar.extractall(path=TARGET_FOLDER)
    with open(TARGET_FOLDER+'Model_atlas', 'w') as f:
        f.write(TARGET_FOLDER+'DATA/hf.tpxo8_atlas_30_v1'+'\n')
        f.write(TARGET_FOLDER+'DATA/uv.tpxo8_atlas_30_v1'+'\n')
        f.write(TARGET_FOLDER+'DATA/grid_tpxo8atlas_30_v1'+'\n')
    os.remove(TARGET_FOLDER+'tpxo8_atlas_compact_v1.tar.Z')

def move_bin():
    import otps
    bin_path = path.abspath(path.dirname(otps.__file__))
    copyfile(path.join(bin_path, 'bin/predict_tide'), BIN_FOLDER+'predict_tide')
    os.chmod(BIN_FOLDER+'predict_tide', 0o775)


def main():
    download_data_files()
    move_bin()

if __name__ == '__main__':
    main()
